.options {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    overflow: hidden;
    min-width: 600px;
    max-width: 100%;
    width: 100%;
    height: 400px;
}

@media screen and (max-width: 718px) {
    .options {
        min-width: 520px;
    }

    .options .option:nth-child(5) {
        display: none;
    }
}

@media screen and (max-width: 638px) {
    
    .options {
        display: flex;
        flex-direction: column;
        align-items: stretch;
        overflow: hidden;
        min-width: 600px;
        max-width: 100%;
        width: 100%;
        height: 700px;
        gap: 5px;
    }
    
    .option:not(.active) {
        display: list-item;
        flex-grow: 1;
        border-radius: 20px;
        background-size: cover !important;
        padding: 0;
        margin: 0;
        height: 60px;
    }
    
    .option.active {
        flex-grow: 10000;
        transform: scale(1);
        max-width: 100%;
        margin: 0px;
        border-radius: 20px;
        background-size: cover !important;
        background-position: center !important;
        height: 500px;
    }
    
    .options {
        min-width: 440px;
    }
    
    .options .option:nth-child(5) {
        display: list-item;
    }

    .options .option:nth-child(4) {
        display: list-item;
    }
    
    .options .option:nth-child(3) {
        display: list-item;
    }
    
    .options .option:nth-child(2) {
        display: list-item;
    }
}

@media screen and (max-width: 558px) {
    .options {
        min-width: 360px;
    }

    .options .option:nth-child(3) {
        display: list-item;
    }
}

@media screen and (max-width: 478px) {
    .options {
        min-width: 280px;
    }

    .options .option:nth-child(2) {
        display: list-item;
    }
}

.option {
    position: relative;
    overflow: hidden;
    min-width: 60px;
    margin: 0 10px;
    background: var(--optionBackground, var(--defaultBackground, #E6E9ED));
    background-size: auto 120%;
    background-position: center;
    cursor: pointer;
    transition: 0.5s cubic-bezier(0.05, 0.61, 0.41, 0.95);
}

.option:nth-child(1) {
    --defaultBackground: #ED5565;
}

.option:nth-child(2) {
    --defaultBackground: #FC6E51;
}

.option:nth-child(3) {
    --defaultBackground: #FFCE54;
}

.option:nth-child(4) {
    --defaultBackground: #2ECC71;
}

.option:nth-child(5) {
    --defaultBackground: #5D9CEC;
}

.option:nth-child(6) {
    --defaultBackground: #AC92EC;
}

.option.active {
    flex-grow: 10000;
    transform: scale(1);
    max-width: 100%;
    margin: 0px;
    border-radius: 20px;
    background-size: cover !important;
    background-position: center !important;
}

.option.active .shadow {
    box-shadow: inset 0 -120px 120px -120px black, inset 0 -120px 120px -100px black;
}

.option.active .label {
    bottom: 10px;
    right: 20px;
}

.option.active .label .info>div {
    left: 0px;
    opacity: 1;
}

.option:not(.active) {
    flex-grow: 1;
    border-radius: 20px;
    background-size: cover !important;
}

.option:not(.active) .shadow {
    bottom: -40px;
    box-shadow: inset 0 -120px 0px -120px black, inset 0 -120px 0px -100px black;
}

.option:not(.active) .label {
    bottom: 10px;
    right: 10px;
}

.option:not(.active) .label .info>div {
    left: 20px;
    opacity: 0;
}

.shadow {
    position: absolute;
    bottom: 0px;
    left: 0px;
    right: 0px;
    height: 120px;
    transition: 0.5s cubic-bezier(0.05, 0.61, 0.41, 0.95);
}

.label {
    display: flex;
    position: absolute;
    right: 0px;
    height: 40px;
    transition: 0.5s cubic-bezier(0.05, 0.61, 0.41, 0.95);
}

.icon {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    min-width: 40px;
    max-width: 40px;
    height: 40px;
    border-radius: 13px;
    border: 1px solid #fff;
    background-color: transparent;
    backdrop-filter: blur(10px);
}

.info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-right: 50px;
    color: white;
    white-space: pre;
}

.info>div {
    position: relative;
    transition: 0.5s cubic-bezier(0.05, 0.61, 0.41, 0.95), opacity 0.5s ease-out;
}